{ lib, namespace, ... }:
with lib;
{
  options.${namespace}.services.mongodb = {
    enable = mkEnableOption "mongodb docker service";

    autoStart = mkOption {
      type = types.bool;
      default = true;
    };

    port = mkOption {
      type = types.str;
      default = "27017";
    };

    name = mkOption {
      type = types.str;
      default = "mongo";
    };

    image = mkOption {
      type = types.str;
      default = "mongo";
    };

    configPath = mkOption {
      type = types.str;
      default = "/media/nas/main/mongodb";
    };

    puid = mkOption {
      type = types.str;
      default = "911";
    };

    pgid = mkOption {
      type = types.str;
      default = "1000";
    };

    timeZone = mkOption {
      type = types.str;
      default = "America/Chicago";
    };

    environmentFiles = mkOption {
      type = with types; listOf path;
      default = [ ];
    };
  };
}
